import { EventEmitter, OnDestroy } from "@angular/core";
import { IconCacheService } from "../../../../../../service/icon-cache.service";
import { Icon } from "../../../../../../enum/icon.enum";
import { PlanOrder } from "@colijnit/transactionapi/build/model/plan-order.bo";
import { PlanningTransportWeekDay } from "@colijnit/transactionapi/build/model/planning-transport-week-day.bo";
import { TransactionInfoResponse } from "@colijnit/transactionapi/build/model/transaction-info-response.bo";
import { TransactionService } from "../../../../../../service/transaction.service";
import { DeliveryPlanningService } from "../../../../../delivery-planning/service/delivery-planning.service";
import { InputTextComponent } from "@colijnit/corecomponents_v12";
import { DatePipe } from "@angular/common";
import { TransactionDialogService } from '../../../../../../service/transaction-dialog.service';
export declare class DeliveryPlanningOverviewPopupComponent implements OnDestroy {
    iconCacheService: IconCacheService;
    private _transaction;
    deliveryPlanningService: DeliveryPlanningService;
    private _datePipe;
    private _dialogService;
    private _transportWeekDay;
    icons: typeof Icon;
    planOrder: PlanOrder;
    transaction: TransactionInfoResponse;
    set transportDay(transportWeekDay: PlanningTransportWeekDay);
    get transportDay(): PlanningTransportWeekDay;
    week: PlanningTransportWeekDay[];
    closeEvent: EventEmitter<void>;
    onSucceededPlanAction: EventEmitter<[PlanOrder, PlanningTransportWeekDay, PlanningTransportWeekDay[]]>;
    startTimeCompRef: InputTextComponent;
    endTimeCompRef: InputTextComponent;
    showClass(): boolean;
    constructor(iconCacheService: IconCacheService, _transaction: TransactionService, deliveryPlanningService: DeliveryPlanningService, _datePipe: DatePipe, _dialogService: TransactionDialogService);
    ngOnDestroy(): void;
    impactTime(): number;
    closePopup(): void;
    handleCommitClick(): Promise<void>;
    startTimeForOrder(): Date;
    endTimeForOrder(): Date;
    handleStartTimeChange(): Promise<boolean>;
    handleEndTimeChange(): Promise<boolean>;
    handleInitialTimePlanning(transportWeekDay: PlanningTransportWeekDay): void;
    handleDateChange(text: string): Date;
}
